file handle pcdat/name='Weighting.dat'.
data list file pcdat free /
  R0000100 (F)
  R0214700 (F)
  R0214800 (F)
  T0987300 (F)
  T0987800 (F)
  T0988200 (F)
  T0988300 (F)
  T0988400 (F)
  T0988800 (F)
  T0989000 (F)
.
* The following code works with current versions of SPSS.
missing values all(-5 thru -1).
* older versions of SPSS may require this:
* recode all (-4,-3,-2,-1=-5).
* missing values all (-5).
variable labels
  R0000100  "ID# (1-12686) 79"
  R0214700  "RACL/ETHNIC COHORT /SCRNR 79"
  R0214800  "SEX OF R 79"
  T0987300  "SAMPLING WEIGHT 2006"
  T0987800  "TOTAL NET FAMILY INCOME 2006"
  T0988200  "EMP STATUS RECODE (COLLAPSED) 2006"
  T0988300  "REGION OF RESIDENCE 2006"
  T0988400  "MARITAL STATUS (COLLAPSED) 2006"
  T0988800  "HIGHEST GRADE COMPLTD (REV) 2006"
  T0989000  "AGE AT INTERVIEW DATE 2006"
.
* value labels
 R0214700
    1 "HISPANIC"
    2 "BLACK"
    3 "NON-BLACK, NON-HISPANIC"
    /
 R0214800
    1 "MALE"
    2 "FEMALE"
    /
 T0987300
    0 "0"
    /
 T0987800
    0 "0"
    /
 T0988200
    1 "1: EMPLOYED"
    2 "2: UNEMPLOYED"
    3 "3: OUT OF LABOR FORCE"
    4 "4: IN ACTIVE FORCES"
    /
 T0988300
    1 "1: 1  NORTHEAST"
    2 "2: 2  NORTH CENTRAL"
    3 "3: 3  SOUTH"
    4 "4: 4  WEST"
    /
 T0988400
    1 "1: 1  NEVER MARRIED"
    2 "2: 2  MARRIED, SPOUSE PRESENT"
    3 "3: 3  OTHER"
    /
 T0988800
    0 "NONE"
    93 "PRE-KINDERGARTEN"
    94 "KINDERGARTEN"
    1 "1ST GRADE"
    2 "2ND GRADE"
    3 "3RD GRADE"
    4 "4TH GRADE"
    5 "5TH GRADE"
    6 "6TH GRADE"
    7 "7TH GRADE"
    8 "8TH GRADE"
    9 "9TH GRADE"
    10 "10TH GRADE"
    11 "11TH GRADE"
    12 "12TH GRADE"
    13 "1ST YEAR COLLEGE"
    14 "2ND YEAR COLLEGE"
    15 "3RD YEAR COLLEGE"
    16 "4TH YEAR COLLEGE"
    17 "5TH YEAR COLLEGE"
    18 "6TH YEAR COLLEGE"
    19 "7TH YEAR COLLEGE"
    20 "8TH YEAR COLLEGE OR MORE"
    95 "UNGRADED"
    /
 T0989000
    40 "40"
    41 "41"
    42 "42"
    43 "43"
    44 "44"
    45 "45"
    46 "46"
    47 "47"
    48 "48"
    49 "49"
    50 "50"
    51 "51"
    52 "52"
    /
.
/* Crosswalk for Reference number & Question name
 * Uncomment and edit this RENAME VARIABLES statement to rename variables for ease of use.
 * This command does not guarentee uniqueness
 */  /* *start* */

COMMENT RENAME VARIABLES
    (R0000100 = CASEID_1979)
    (R0214700 = *Created_1979)
    (R0214800 = *Created_1979)
    (T0987300 = SAMPWEIGHT_2006)
    (T0987800 = TNFI_2006)
    (T0988200 = ESR-COL_2006)
    (T0988300 = REGION_2006)
    (T0988400 = MARSTAT-COL_2006)
    (T0988800 = HGCREV06_2006)
    (T0989000 = AGEATINT_2006)
.
  /* *end* */

descriptives all.
